Bug 158198 - [PATCH] sysutils/monit: Fix MySQL protocol testing and misc port cleanups
Summary: [PATCH] sysutils/monit: Fix MySQL protocol testing and misc port cleanups
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-23 10:50 UTC by Jase Thew
Modified: 2011-06-25 13:40 UTC (History)
1 user (show)

See Also:


Attachments
monit-5.2.5_1.patch (2.18 KB, patch)
2011-06-23 10:50 UTC, Jase Thew
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jase Thew 2011-06-23 10:50:15 UTC
- Add patch to fix MySQL protocol testing with MySQL 5.1.57+ and 5.5.12+.
  Taken from vendor repo (r372).
- Remove CPPFLAGS from CONFIGURE_ARGS as it is inherently passed via use of 
  GNU_CONFIGURE. (quiets lint warning)
- Remove WITH_SSL option conditional and replace it with a WITHOUT_SSL conditional.
  SSL support is enabled by default in configure and the --enable-SSL and --with-openssl knobs 
  have been removed. (quiets configure warning)
- Change Mk includes to use new options style.
- Update to 5.2.5_1.

Added file(s):
- files/patch-protocols-mysql_c

Port maintainer (martinp@tildeslash.com) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-06-23 10:51:36 UTC
Maintainer of sysutils/monit,

Please note that PR ports/158198 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/158198

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-06-23 10:51:37 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 martinp 2011-06-23 14:43:32 UTC
Approved

Best regards,
Martin

On Jun 23, 2011, at 11:51 AM, Edwin Groothuis wrote:

> Maintainer of sysutils/monit,
> 
> Please note that PR ports/158198 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/158198
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 4 Wesley Shields freebsd_committer 2011-06-25 13:12:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 5 Wesley Shields freebsd_committer 2011-06-25 13:38:06 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2011-06-25 13:38:06 UTC
wxs         2011-06-25 12:37:57 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/monit       Makefile pkg-descr 
  Added files:
    sysutils/monit/files patch-protocols-mysql_c 
  Log:
  - Add patch to fix MySQL protocol testing with MySQL 5.1.57+ and 5.5.12+.
    Taken from vendor repo (r372).
  - Remove CPPFLAGS from CONFIGURE_ARGS as it is inherently passed via use of
    GNU_CONFIGURE. (quiets lint warning)
  - Remove WITH_SSL option conditional and replace it with a WITHOUT_SSL
    conditional. SSL support is enabled by default in configure and the
    --enable-SSL and --with-openssl knobs have been removed. (quiets configure
    warning)
  - Change Mk includes to use new options style.
  - Fix WWW in pkg-descr.
  
  PR:             ports/158198
  Submitted by:   Jase Thew <freebsd@beardz.net>
  Approved by:    Martin Pala <martinp@tildeslash.com> (maintainer)
  
  Revision  Changes    Path
  1.24      +6 -8      ports/sysutils/monit/Makefile
  1.1       +13 -0     ports/sysutils/monit/files/patch-protocols-mysql_c (new)
  1.3       +1 -1      ports/sysutils/monit/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"